No sound from SiS 7012 chip on Hoary.

Bug #14333 reported by Mijndert on 2005-03-21
32
Affects Status Importance Assigned to Milestone
linux-source-2.6.15 (Ubuntu)
Medium
Fabio Massimo Di Nitto

Bug Description

I have a SiS 7012 Sound Chip, but no sound is coming out of my speakers.
Uname -a : Linux mijndert 2.6.10-5-k7 #1 Tue Mar 15 16:21:35 UTC 2005 i686 GNU/Linux
A screenshot of ALSAMIXER: http://members.chello.nl/m.stuij/alsamixer.png

root@mijndert:/home/mijndert # lspci -v
0000:00:00.0 Host bridge: Silicon Integrated Systems [SiS] 746 Host (rev 10)
        Subsystem: Unknown device 1849:0746
        Flags: bus master, medium devsel, latency 0
        Memory at d0000000 (32-bit, non-prefetchable) [size=128M]
        Capabilities: [c0] AGP version 3.0

0000:00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SG86C202 (prog-if 00 [
Normal decode])
        Flags: bus master, fast devsel, latency 32
        Bus: primary=00, secondary=01, subordinate=02, sec-latency=32
        I/O behind bridge: 0000b000-0000bfff
        Memory behind bridge: cfd00000-cfefffff
        Prefetchable memory behind bridge: afa00000-cfbfffff

0000:00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS963 [MuTIOL Media I
O] (rev 25)
        Flags: bus master, medium devsel, latency 0

0000:00:02.1 SMBus: Silicon Integrated Systems [SiS]: Unknown device 0016
        Flags: medium devsel
        I/O ports at 0c00 [size=32]

0000:00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (prog-if
 80 [Master])
        Subsystem: Unknown device 1849:5513
        Flags: bus master, medium devsel, latency 128
        I/O ports at ff00 [size=16]

0000:00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] Sound
 Controller (rev a0)
        Subsystem: Unknown device 1849:7012
        Flags: bus master, medium devsel, latency 32, IRQ 18
        I/O ports at dc00 [size=256]
        I/O ports at d800 [size=128]
        Capabilities: [48] Power Management version 2

0000:00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller
 (rev 0f) (prog-if 10 [OHCI])
        Subsystem: Unknown device 1849:7001
        Flags: bus master, medium devsel, latency 32, IRQ 20
        Memory at cfffd000 (32-bit, non-prefetchable) [size=4K]

0000:00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller
 (rev 0f) (prog-if 10 [OHCI])
        Subsystem: Unknown device 1849:7001
        Flags: bus master, medium devsel, latency 32, IRQ 21
        Memory at cfffe000 (32-bit, non-prefetchable) [size=4K]

0000:00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
 (prog-if 20 [EHCI])
        Subsystem: Unknown device 1849:7001
        Flags: bus master, medium devsel, latency 32, IRQ 23
        Memory at cffff000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [50] Power Management version 2

0000:00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fa
st Ethernet (rev 90)
        Subsystem: Unknown device 1849:8201
        Flags: bus master, medium devsel, latency 32, IRQ 19
        I/O ports at d400 [size=256]
        Memory at cfffc000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at fffe0000 [disabled] [size=128K]
        Capabilities: [40] Power Management version 2

0000:01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200
SE] (rev 01) (prog-if 00 [VGA])
        Subsystem: Asustek Computer, Inc.: Unknown device c006
        Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 16
        Memory at c0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at b800 [size=256]
        Memory at cfef0000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at cfec0000 [disabled] [size=128K]
        Capabilities: [58] AGP version 3.0
        Capabilities: [50] Power Management version 2

0000:01:00.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200 SE] (Se
condary) (rev 01)
        Subsystem: Asustek Computer, Inc.: Unknown device c007
        Flags: bus master, 66MHz, medium devsel, latency 32
        Memory at b8000000 (32-bit, prefetchable) [size=128M]
        Memory at cfee0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [50] Power Management version 2

root@mijndert:/home/mijndert # dmesg
Linux version 2.6.10-5-k7 (buildd@rothera) (gcc version 3.3.5 (Debian
1:3.3.5-8ubuntu2)) #1 Tue Mar 15 16:21:35 UTC 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e8000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000002fff0000 (usable)
 BIOS-e820: 000000002fff0000 - 000000002fff8000 (ACPI data)
 BIOS-e820: 000000002fff8000 - 0000000030000000 (ACPI NVS)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffee0000 - 00000000fff00000 (reserved)
 BIOS-e820: 00000000fffc0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
767MB LOWMEM available.
On node 0 totalpages: 196592
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 192496 pages, LIFO batch:16
  HighMem zone: 0 pages, LIFO batch:1
DMI 2.3 present.
ACPI: RSDP (v000 AMI ) @ 0x000fab70
ACPI: RSDT (v001 AMIINT SiS740XX 0x00001000 MSFT 0x0100000b) @ 0x2fff0000
ACPI: FADT (v001 AMIINT SiS740XX 0x00000011 MSFT 0x0100000b) @ 0x2fff0030
ACPI: MADT (v001 AMIINT SiS740XX 0x00001000 MSFT 0x0100000b) @ 0x2fff00c0
ACPI: DSDT (v001 SiS 748 0x00000100 MSFT 0x0100000d) @ 0x00000000
ACPI: PM-Timer IO Port: 0x808
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 6:8 APIC version 16
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 high edge)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 low level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode: Flat. Using 1 I/O APICs
Using ACPI (MADT) for SMP configuration information
Built 1 zonelists
Kernel command line: root=/dev/hdb3 ro quiet splash
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 65536 bytes)
Detected 2004.206 MHz processor.
Using pmtmr for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 771520k/786368k available (1593k kernel code, 14284k reserved, 723k
data, 164k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay loop... 3981.31 BogoMIPS (lpj=1990656)
Security Framework v1.0.0 initialized
SELinux: Disabled at boot.
Mount-cache hash table entries: 512 (order: 0, 4096 bytes)
CPU: After generic identify, caps: 0383fbff c1c3fbff 00000000 00000000 00000000
00000000
CPU: After vendor identify, caps: 0383fbff c1c3fbff 00000000 00000000 00000000
00000000
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 64K (64 bytes/line)
CPU: After all inits, caps: 0383fbff c1c3fbff 00000000 00000020 00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: AMD Duron(tm) stepping 01
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
ACPI: Looking for DSDT in initrd... not found!
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 pin1=2 pin2=-1
checking if image is initramfs...it isn't (bad gzip magic numbers); looks like
an initrd
Freeing initrd memory: 4540k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfdb31, last bus=2
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20050211
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (00:00)
PCI: Probing PCI hardware (bus 00)
Uncovering SIS963 that hid as a SIS503 (compatible=0)
Enabling SiS 96x SMBus.
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: Power Resource [URP1] (off)
ACPI: Power Resource [URP2] (off)
ACPI: Power Resource [FDDP] (off)
ACPI: Power Resource [LPTP] (off)
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs *3 4 5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 *5 6 7 10 11 12 14 15)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 10 devices
PnPBIOS: Disabled by ACPI PNP
PCI: Using ACPI for IRQ routing
** PCI interrupts are no longer routed automatically. If this
** causes a device to stop working, it is probably because the
** driver failed to call pci_enable_device(). As a temporary
** workaround, the "pci=routeirq" argument restores the old
** behavior. If this argument makes the device work again,
** please email the output of "lspci" to <email address hidden>
** so I can fix the driver.
audit: initializing netlink socket (disabled)
audit(1111431795.391:0): initialized
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
devfs: 2004-01-31 Richard Gooch (<email address hidden>)
devfs: boot_options: 0x0
Initializing Cryptographic API
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Failed to disable AUX port, but continuing anyway... Is this a SiS?
If AUX port is really absent please use the 'i8042.noaux' option.
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 48 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 8192K size 1024 blocksize
input: AT Translated Set 2 keyboard on isa0060/serio0
NET: Registered protocol family 2
IP: routing cache hash table of 8192 buckets, 64Kbytes
TCP: Hash tables configured (established 262144 bind 65536)
NET: Registered protocol family 8
NET: Registered protocol family 20
Restarting tasks...<6> Strange, kswapd0 not stopped
 Strange, kseriod not stopped
 done
ACPI wakeup devices:
PCI0 PS2K UAR1 USB1 USB2 EHCI LAN MDM
ACPI: (supports S0 S1 S4 S5)
RAMDISK: cramfs filesystem found at block 0
RAMDISK: Loading 4540KiB [1 disk] into ram disk... done.
VFS: Mounted root (cramfs filesystem) readonly.
Freeing unused kernel memory: 164k freed
NET: Registered protocol family 1
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
SIS5513: IDE controller at PCI slot 0000:00:02.5
SIS5513: chipset revision 0
SIS5513: not 100% native mode: will probe irqs later
SIS5513: SiS 962/963 MuTIOL IDE UDMA133 controller
    ide0: BM-DMA at 0xff00-0xff07, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xff08-0xff0f, BIOS settings: hdc:DMA, hdd:DMA
Probing IDE interface ide0...
hda: Maxtor 6E030L0, ATA DISK drive
hdb: Maxtor 6Y080P0, ATA DISK drive
elevator: using anticipatory as default io scheduler
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: max request size: 128KiB
hda: 60058656 sectors (30750 MB) w/2048KiB Cache, CHS=59582/16/63, UDMA(133)
hda: cache flushes supported
 /dev/ide/host0/bus0/target0/lun0: p1 p2 < p5 >
hdb: max request size: 128KiB
hdb: 160086528 sectors (81964 MB) w/7936KiB Cache, CHS=65535/16/63, UDMA(133)
hdb: cache flushes supported
 /dev/ide/host0/bus0/target1/lun0: p1 p2 p3 p4 < p5 >
Probing IDE interface ide1...
hdc: _NEC DVD_RW ND-3520A, ATAPI CD/DVD-ROM drive
hdd: _NEC DV-5800C, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
Probing IDE interface ide2...
Probing IDE interface ide3...
Probing IDE interface ide4...
Probing IDE interface ide5...
Stopping tasks: ==|
Freeing memory... done (463 pages freed)
Restarting tasks... done
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting. Commit interval 5 seconds
Adding 1052216k swap on /dev/hdb5. Priority:-1 extents:1
EXT3 FS on hdb3, internal journal
hdc: ATAPI 48X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache
Uniform CD-ROM driver Revision: 3.20
hdd: ATAPI 48X DVD-ROM drive, 512kB Cache
parport: PnPBIOS parport detected.
parport0: PC-style at 0x378 (0x778), irq 7, dma 0
[PCSPP,TRISTATE,COMPAT,EPP,ECP,DMA]
lp0: using parport0 (interrupt-driven).
mice: PS/2 mouse device common for all mice
input: PS/2 Logitech Mouse on isa0060/serio1
Capability LSM initialized
device-mapper: 4.3.0-ioctl (2004-09-30) initialised: <email address hidden>
ts: Compaq touchscreen protocol output
md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
cdrom: open failed.
cdrom: open failed.
Real Time Clock Driver v1.12
input: PC Speaker
inserting floppy driver for 2.6.10-5-k7
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
Linux agpgart interface v0.100 (c) Dave Jones
agpgart: Detected SiS 746 chipset
agpgart: Maximum main memory to use for agp memory: 690M
agpgart: AGP aperture is 128M @ 0xd0000000
cpci_hotplug: CompactPCI Hot Plug Core version: 0.2
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
shpchp: shpc_init : shpc_cap_offset == 0
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
Evaluate _OSC Set fails. Status = 0x0005
pciehp: add_host_bridge: status 5
pciehp: Fails to gain control of native hot-plug
i2c-sis96x version 1.0.0
sis96x_smbus 0000:00:02.1: SiS96x SMBus base address: 0x0c00
ACPI: PCI interrupt 0000:00:02.7[C] -> GSI 18 (level, low) -> IRQ 18
intel8x0_measure_ac97_clock: measured 49834 usecs
intel8x0: clocking to 48000
usbcore: registered new driver usbfs
usbcore: registered new driver hub
ohci_hcd: 2004 Nov 08 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
ACPI: PCI interrupt 0000:00:03.0[A] -> GSI 20 (level, low) -> IRQ 20
ohci_hcd 0000:00:03.0: Silicon Integrated Systems [SiS] USB 1.0 Controller
ohci_hcd 0000:00:03.0: irq 20, pci mem 0xcfffd000
ohci_hcd 0000:00:03.0: new USB bus registered, assigned bus number 1
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 3 ports detected
ACPI: PCI interrupt 0000:00:03.1[B] -> GSI 21 (level, low) -> IRQ 21
ohci_hcd 0000:00:03.1: Silicon Integrated Systems [SiS] USB 1.0 Controller (#2)
ohci_hcd 0000:00:03.1: irq 21, pci mem 0xcfffe000
ohci_hcd 0000:00:03.1: new USB bus registered, assigned bus number 2
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 3 ports detected
usb 1-1: new full speed USB device using ohci_hcd and address 2
hub 1-1:1.0: USB hub found
hub 1-1:1.0: 4 ports detected
ACPI: PCI interrupt 0000:00:03.2[D] -> GSI 23 (level, low) -> IRQ 23
ehci_hcd 0000:00:03.2: Silicon Integrated Systems [SiS] USB 2.0 Controller
ehci_hcd 0000:00:03.2: irq 23, pci mem 0xcffff000
ehci_hcd 0000:00:03.2: new USB bus registered, assigned bus number 3
PCI: cache line size of 64 is not supported by device 0000:00:03.2
ehci_hcd 0000:00:03.2: USB 2.0 initialized, EHCI 1.00, driver 26 Oct 2004
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 6 ports detected
usb 1-1: USB disconnect, address 2
sis900.c: v1.08.07 11/02/2003
ACPI: PCI interrupt 0000:00:04.0[A] -> GSI 19 (level, low) -> IRQ 19
0000:00:04.0: Realtek RTL8201 PHY transceiver found at address 1.
0000:00:04.0: Using transceiver found at address 1 as default
eth0: SiS 900 PCI Fast Ethernet at 0xd400, IRQ 19, 00:0b:6a:4e:1b:f0.
ohci_hcd 0000:00:03.1: wakeup
usb 1-1: new full speed USB device using ohci_hcd and address 3
hub 1-1:1.0: USB hub found
hub 1-1:1.0: 4 ports detected
usb 2-1: new low speed USB device using ohci_hcd and address 2
usb 1-1.3: new low speed USB device using ohci_hcd and address 4
usbcore: registered new driver hiddev
NET: Registered protocol family 17
eth0: Media Link On 100mbps full-duplexroot@mijndert:/home/mijndert # Linux
mijndert 2.6.10-5-k7 #1 Tue Mar 15 16:21:35 UTC 2005 i686 GNU/Linux
bash: Linux: command not found
root@mijndert:/home/mijndert # Linux mijndert 2.6.10-5-k7 #1 Tue Mar 15 16:21:35
UTC 2005 i686 GNU/Linux
bash: Linux: command not found
usb 2-1: cat timed out on ep0in
drivers/usb/input/hid-core.c: timeout initializing reports

input: USB HID v1.00 Joystick [Logitech Inc. WingMan Extreme Digital 3D] on
usb-0000:00:03.1-1
input: USB HID v1.10 Mouse [Microsoft Microsoft 3-Button Mouse with
IntelliEye(TM)] on usb-0000:00:03.0-1.3
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
NET: Registered protocol family 10
Disabled Privacy Extensions on device c0315d40(lo)
IPv6 over IPv4 tunneling driver
ACPI: Power Button (FF) [PWRF]
ibm_acpi: ec object not found
apm: BIOS not found.
[drm] Initialized drm 1.0.0 20040925
ACPI: PCI interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 16
[drm] Initialized radeon 1.14.0 20050125 on minor 0: ATI Technologies Inc RV280
[Radeon 9200 SE]
agpgart: Found an AGP 3.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V3 device at 0000:00:00.0 into 4x mode
agpgart: SiS delay workaround: giving bridge time to recover.
agpgart: Putting AGP V3 device at 0000:01:00.0 into 4x mode
[drm] Loading R200 Microcode
eth0: no IPv6 routers present

Matt Zimmerman (mdz) wrote :

Have you tried adjusting the volume levels in the mixer window? Some devices
require that special mixers be unmuted in order to actually produce sound.

Mijndert (mijndert) wrote :

(In reply to comment #1)
> Have you tried adjusting the volume levels in the mixer window? Some devices
> require that special mixers be unmuted in order to actually produce sound.

All the levels are 100% up. The hardware is well recognized.

Jaime (jaimet) wrote :

Hi. I have the same problem here, but I've traced it back to also causing aplay
to hang:

I have a machine running both Warty and Hoary (on different partitions) and alsa
seems to be borked on the Hoary installation. I've made a test wav file using:

sox -t nul /dev/null sine.wav synth 1.0 sine 1000.0

and then tried to play it using aplay on both systems. On Warty it works fine
(and plays, audibly):

user@poota:~ $ aplay sine.wav
Playing WAVE 'Desktop/sine.wav' : Signed 16 bit Little Endian, Rate 44100 Hz, Stereo

Trying the same on Hoary, aplay just hangs (I get no output at the command line,
and I don't get the command prompt back) and no sound is produced.

user@poota:~$ cat /proc/asound/cards
0 [SI7012 ]: ICH - SiS SI7012
                     SiS SI7012 with CMI9739 at 0xdc00, irq 18

The sound card is built-in on an Asrock K7S8X motherboard. Are there any
commands I can use to work out whether the problem is in alsa or in the kernel?

BTW, This bug looks similar to #6476 (although that bug has been marked as a
duplicate of #1351, which is different to this bug) and possibly also #8049
(although I'm not sure).

Jaime

Jaime (jaimet) wrote :

Created an attachment (id=2112)
Output from dmesg

Jaime (jaimet) wrote :

Created an attachment (id=2113)
Output from lsmod

Jaime (jaimet) wrote :

Created an attachment (id=2114)
Output from lspci

Diego Algorta (oboxodo) wrote :

I have the same problem here.
I had Warty with last upgrades and sound worked. Burned final Hoary Install CD
on April 8, apt-cdrom added it, dist-upgraded it, rebooted with the new 2.6.10
kernel and sound stopped working. It doesn't show any errors, just can't hear a
sound. Oh... mplayer hangs.
If I reboot and select the old wary 2.6.8 kernel, sound WORKS again. So I think
it's a kernel problem and not alsa's fault. But I'm no expert.

Mother: ASRock K7S41GX (http://www.asrock.com/product/product_k7s41gx.htm).

diego@antu:~ $ cat /proc/asound/cards
0 [SI7012 ]: ICH - SiS SI7012
                     SiS SI7012 at 0xdc00, irq 177

These are the differences between the loaded modules on both kernels.
diego@antu:~ $ diff 2.6.8.1-5-386.log 2.6.10-5-386.log
4d3
< asus_acpi
5a5
> bitblit
12a13,14
> container
> cpufreq_ondemand
15d16
< crc32
21c22
< fat
---
> fbcon
25a27,28
> i2c_core
> i2c_sis96x
36,37d38
< nls_cp437
< nls_utf8
41c42
< pciehp
---
> pcc_acpi
58d58
< snd_mpu401_uart
62,63d61
< snd_rawmidi
< snd_seq_device
64a63
> sony_acpi
72c71
< vfat
---
> video

PS: I tried booting Hoary's LiveCD from Ubuntu and Kubuntu and non of them
worked either.

Daniel Robitaille (robitaille) wrote :

(In reply to comment #7)
> Mother: ASRock K7S41GX (http://www.asrock.com/product/product_k7s41gx.htm).
>
> diego@antu:~ $ cat /proc/asound/cards
> 0 [SI7012 ]: ICH - SiS SI7012
> SiS SI7012 at 0xdc00, irq 177

I have the exact same motherboard and sound chip. Sounds worked in Warty.
After a dist-upgrade to Hoary in January, sound continued to work normally (and
still works fine). But during that period I have been using various version of
Hoary's LiveCD, and I believe the sound stopped working for me around the
Array-4 version of the Live CD. Since then I have been trying all sort of
things in the Live CD sessions to get sound to work, and been looking at
differences in the setup between the LiveCD and my Hoary install on the HD; But
I never managed to figure out exactly why sound work for me in my installed
Hoary, but not for the Live CD, both on the same hardware.

Daniel T Chen (crimsun) wrote :

This bug report seems to be an amalgum of symptoms, but the ac97s are important.

Jaime, the cmi9739 codec uses a binary toggle; your mixer "volume" elements are
incorrect in 1.0.6 and have been corrected upstream in 1.0.9rc2. You will need
to use the softvol pcm plugin with 1.0.8 (which you can get via alsa-source in
universe), because your Master and PCM volume controls are bogus (really there
are only "on" and "off" states). This was corrected in r1.66 of
alsa-kernel/pci/ac97/ac97_patch.c. To use softvol, try making an ~/.asoundrc
with something like:

pcm.something {
   type softvol
   slave.pcm "hw:0,0"
}

You will then use the plug:something device for ALSA applications.

Mijndert, Diego, and Daniel, please provide the output of ,,tail -2
/proc/asound/oss/sndstat''. If your mixer is the C-Media 97xx, there's a very
good chance your symptoms will disappear with 1.0.9rc2 (cf. ac97 fixes for
cmi97xx codecs in ALSA 1.0.9rc2).

Daniel Robitaille (robitaille) wrote :

(In reply to comment #9)
> Mijndert, Diego, and Daniel, please provide the output of ,,tail -2
> /proc/asound/oss/sndstat''. If your mixer is the C-Media 97xx, there's a very
> good chance your symptoms will disappear with 1.0.9rc2 (cf. ac97 fixes for
> cmi97xx codecs in ALSA 1.0.9rc2).

$ tail -2 /proc/asound/oss/sndstat
Mixers:
0: C-Media Electronics CMI9761

Diego Algorta (oboxodo) wrote :

diego@antu:~ $ tail -2 /proc/asound/oss/sndstat
Mixers:
0: C-Media Electronics CMI9761

Daniel T Chen (crimsun) wrote :

All, I neglected to request ,,amixer'' output as well. Thanks.

Diego Algorta (oboxodo) wrote :
Download full text (5.0 KiB)

Simple mixer control 'Master',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 31 [100%] [on]
  Front Right: Playback 31 [100%] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 31 [100%] [on]
  Front Right: Playback 31 [100%] [on]
Simple mixer control 'Surround',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 0 [0%] [off]
  Front Right: Playback 0 [0%] [off]
Simple mixer control 'Center',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 31 [100%] [off]
Simple mixer control 'LFE',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 0 [0%] [off]
Simple mixer control 'Line',0
  Capabilities: pvolume pswitch pswitch-joined cswitch cswitch-joined
cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 0 [0%] [off] Capture [off]
  Front Right: Playback 0 [0%] [off] Capture [off]
Simple mixer control 'Line-In As Surround',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'CD',0
  Capabilities: pvolume pswitch pswitch-joined cswitch cswitch-joined
cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 31 [100%] [on] Capture [off]
  Front Right: Playback 31 [100%] [on] Capture [off]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch pswitch-joined cswitch cswitch-joined
cswitch-exclusive
  Capture exclusive group: 0
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 0 [0%] [off] Capture [on]
  Front Right: Playback 0 [0%] [off] Capture [on]
Simple mixer control 'Mic As Center/LFE',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Mic Boost (+20dB)',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Mic Select',0
  Capabilities:
  Mono:
Simple mixer control 'Video',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Phone',0
  Capabilities: cswitch cswitch-joined cswitch-exclusive
  Capture exclusive group: 0
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined cswitch cswitch-joined
  Playback channels: Mono
  Capture channels: Mono
  Mono: Playback [on] Capture [off]
Simple mixer con...

Read more...

Jaime (jaimet) wrote :

I have more information (it may or may not help other people):

If (*before* I log in to gdm) I switch over to a virtual terminal (using
CTRL-ALT-F1) I can then use aplay to play a wave file and it works. If I then
switch back over to gdm (using ALT-F7) and log in, aplay will always hang
(whether I try it from virtual terminal 1, or from an instance of
gnome-terminal). If I log out from gnome, I can use aplay again (from virtual
terminal 1). So basically, provided I'm *not* logged into a gnome session, sound
works OK for me.

Does anyone know if there's something in Gnome which opens (and exclusively
holds open) the sound device?

Jaime

Daniel T Chen (crimsun) wrote :

Diego,

(In reply to comment #13)
> Simple mixer control 'IEC958',0
> Capabilities: pswitch pswitch-joined cswitch cswitch-joined
> Playback channels: Mono
> Capture channels: Mono
> Mono: Playback [on] Capture [off]

                   ^^^^ Mute this.

> Simple mixer control 'IEC958 Capture Monitor',0
> Capabilities: pswitch pswitch-joined
> Playback channels: Mono
> Mono: Playback [on]

                   ^^^^ Mute this.

Daniel T Chen (crimsun) wrote :

Jaime,

(In reply to comment #14)
> Does anyone know if there's something in Gnome which opens (and exclusively
> holds open) the sound device?

Esd (or polypaudio), if you've enabled sound server startup in System>Preferences>Sound, does
using ALSA's oss emulation (/dev/dsp).

Jaime (jaimet) wrote :

Daniel,

I'm sorry, but I don't understand your previous response. Do you mean that in a
_correctly_ working (bugfree) system, logging into gdm (and therefore starting
esd?) means that aplay _should_ always lock-up/hang? (Incidentally, I don't
think that aplay ever hanged/hung in warty.)

I guess what I'm trying to find out is whether I should be able to use aplay
(from the command line) while I'm logged in graphically. I've always used aplay
as a diagnostic tool in the past, because it's so low-level (and depends on very
little else). Unfortunately, I understand very little about the inner-workings
of alsa/linux media in general...

HTH, Jaime

Daniel T Chen (crimsun) wrote :

Hi Jaime,

(In reply to comment #17)
> I'm sorry, but I don't understand your previous response. Do you mean that in a
> _correctly_ working (bugfree) system, logging into gdm (and therefore starting
> esd?) means that aplay _should_ always lock-up/hang? (Incidentally, I don't
> think that aplay ever hanged/hung in warty.)

In a functional default Ubuntu install, esd is enabled, and because esd is configured to use
ALSA's OSS emulation (/dev/dsp), aplay will block (it will appear to hang); the default device is
already in use.

If you pkill esd, you will be able to use aplay.

> I guess what I'm trying to find out is whether I should be able to use aplay
> (from the command line) while I'm logged in graphically. I've always used aplay
> as a diagnostic tool in the past, because it's so low-level (and depends on very
> little else). Unfortunately, I understand very little about the inner-workings
> of alsa/linux media in general...

You can use aplay if dmix is configured or if esd has released /dev/dsp.

Jaime (jaimet) wrote :

(In reply to comment #18)

Daniel, thank you for the information (I understand a little more now :-)). I
still have a few questions, however:

a) This "blocking" behaviour didn't happen with Warty (aplay works from within
gnome-terminal on the same machine when I boot into Warty), and I *didn't* set
up dmix on that machine.

b) When I install beep-media-player (0.9.7-1ubuntu1) on Hoary, it defaults to
using the "OSS Output Plugin and just locks up. (I suspect this lock-up is
related to aplay's blocking which you've explained is due esd exclusively
grabbing the audio device). When I change beep-media-player's output to use esd,
everything works perfectly! :-)

I might try to find out a little more about why aplay blocks with esd (or rather
why it didn't with Warty on the same machine)...

Thank you, Jaime

Tom Adelstein (adelste) wrote :

I installed another distro with a similar kernel. That distro (FC3) uses
snd-intel8x0 as the driver and it works well.

Diego Algorta (oboxodo) wrote :

(In reply to comment #15)
> Diego,
>
> (In reply to comment #13)
> > Simple mixer control 'IEC958',0
> > Capabilities: pswitch pswitch-joined cswitch cswitch-joined
> > Playback channels: Mono
> > Capture channels: Mono
> > Mono: Playback [on] Capture [off]
>
> ^^^^ Mute this.
>
> > Simple mixer control 'IEC958 Capture Monitor',0
> > Capabilities: pswitch pswitch-joined
> > Playback channels: Mono
> > Mono: Playback [on]
>
> ^^^^ Mute this.

All right!!!

I can hear! I can hear!
I'm not deaf!

;-)

Thank you very much.

I had to use alsamixer from a term to find those 'couse they don't show up in
the gnome standard mixer.

Bye,
Diego

Daniel T Chen (crimsun) wrote :

*** Bug 14384 has been marked as a duplicate of this bug. ***

Étienne BERSAC (bersace) wrote :

this bug seems to duplicate #6476

Daniel T Chen (crimsun) wrote :

*** Bug 12835 has been marked as a duplicate of this bug. ***

Olafur Arason (olafra) wrote :

This is also a problem with Breezy.
This is also a problem with oss it seems but xmms works fine with both.
Oss crashes apps when you quit.
But the repeat rate on Breezy is faster.
The linux-audio faq mentions that this kind of problem could be irq conflict, but
I don't see it.

Olafur Arason (olafra) wrote :

Created an attachment (id=2976)
Dmesg on Breezy

Olafur Arason (olafra) wrote :

Created an attachment (id=2977)
/proc/interrupts on Breezy

Olafur Arason (olafra) wrote :

Created an attachment (id=2978)
lsmod on Breezy

Olafur Arason (olafra) wrote :

Created an attachment (id=2979)
lspci on Breezy

Chris Bartels (c-l-l-bartels) wrote :

Hi,

I have a K7S41 motherboard with this integrated audio chipset and ubuntu-hoary
does not play audio by default. However the audio card is detected properly, so
after reading this thread I muted certain channels (see below) and sound worked
!! However there is no volume control, so I have to check that out as well...
Best if these bugs were fixed in breezy, I suppose more people have similar
sound chips.

Best regards,
Chris

(In reply to comment #13)
> Simple mixer control 'IEC958',0
> Capabilities: pswitch pswitch-joined cswitch cswitch-joined
> Playback channels: Mono
> Capture channels: Mono
> Mono: Playback [on] Capture [off]

                   ^^^^ Mute this.

> Simple mixer control 'IEC958 Capture Monitor',0
> Capabilities: pswitch pswitch-joined
> Playback channels: Mono
> Mono: Playback [on]

                   ^^^^ Mute this.

Thomas Hood (jdthood) wrote :

> (In reply to comment #13)
> > Simple mixer control 'IEC958',0
> ^^^^ Mute this.
> > Simple mixer control 'IEC958 Capture Monitor',0
> ^^^^ Mute this.

Does it suffice to mute just 'IEC958 Capture Monitor'? Are you sure that
you also have to mute 'IEC958'?

Daniel T Chen (crimsun) wrote :

(In reply to comment #31)
> Does it suffice to mute just 'IEC958 Capture Monitor'? Are you sure that
> you also have to mute 'IEC958'?

Only 'IEC958 Capture Monitor' is necessary.

Daniel T Chen (crimsun) wrote :

(In reply to comment #30)
> !! However there is no volume control, so I have to check that out as well...

Have you investigated using the softvol pcm plugin? You'll need to create an
~/.asoundrc and then use the virtual ALSA device directly (not esound) as
documented at http://www.alsa-project.org/alsa-doc/alsa-lib/pcm_plugins.html
(at the bottom).

Thomas Hood (jdthood) wrote :

(In reply to comment #32)
> Only 'IEC958 Capture Monitor' is necessary.

OK. This bug has been fixed then.

art2003 (arturuk) wrote :

how do I setup configure softvol?

I can't control the sound at all, just mute PCM or unmute it. Everything else is
full volume.

------------------------

Sound works fine but can't control the volume. I can only mute it or let it be
at 100%

uname -r
2.6.12-9-k7

tail -2 /proc/asound/oss/sndstat
Mixers:
0: C-Media Electronics CMI9761

Daniel T Chen (crimsun) wrote :

(In reply to comment #35)
> how do I setup configure softvol?

Please see comment #33 above in this bug report
(http://bugzilla.ubuntu.com/show_bug.cgi?id=7997#c33 ).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.